TransformOutInterceptor (Apache CXF JavaDoc 4.2.2 API)
Description: declaration: package: org.apache.cxf.interceptor.transform, class: TransformOutInterceptor

Package org.apache.cxf.interceptor.transform

# Class TransformOutInterceptor

java.lang.Object
org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
org.apache.cxf.interceptor.transform.TransformOutInterceptor

All Implemented Interfaces:
  `Interceptor<Message>`, `PhaseInterceptor<Message>`

public class TransformOutInterceptor extends AbstractPhaseInterceptor<Message>
Creates an XMLStreamReader from the InputStream on the Message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransformOutInterceptor()`
  `TransformOutInterceptor(String phase)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected XMLStreamWriter`
  `createTransformWriterIfNeeded(XMLStreamWriter writer, OutputStream os)`
  `void`
  `handleFault(Message message)`
  Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
  `void`
  `handleMessage(Message message)`
  Intercepts a message.
  `protected boolean`
  `isHttpVerbSupported(Message message)`
  `void`
  `setAttributesToElements(boolean value)`
  `void`
  `setContextPropertyName(String propertyName)`
  `void`
  `setDefaultNamespace(String defaultNamespace)`
  `void`
  `setOutAppendElements(Map<String,String> map)`
  `void`
  `setOutDropElements(List<String> dropElementsSet)`
  `void`
  `setOutTransformAttributes(Map<String,String> outAttributes)`
  `void`
  `setOutTransformElements(Map<String,String> outElements)`
  `void`
  `setSkipOnFault(boolean value)`

  ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

  `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, isGET, isRequestor, setAfter, setBefore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransformOutInterceptor

    public TransformOutInterceptor()

  - ### TransformOutInterceptor

    public TransformOutInterceptor(String phase)

- ## Method Details

  - ### handleFault

    public void handleFault(Message message)
    Description copied from interface: `Interceptor`
    Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
    Specified by:
      `handleFault` in interface `Interceptor<Message>`
    Overrides:
      `handleFault` in class `AbstractPhaseInterceptor<Message>`
    Parameters:
      `message` -

  - ### handleMessage

    public void handleMessage(Message message)
    Description copied from interface: `Interceptor`
    Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.
    Parameters:
      `message` -

  - ### createTransformWriterIfNeeded

    protected XMLStreamWriter createTransformWriterIfNeeded(XMLStreamWriter writer, OutputStream os)

  - ### setOutTransformElements

    public void setOutTransformElements(Map<String,String> outElements)

  - ### setOutAppendElements

    public void setOutAppendElements(Map<String,String> map)

  - ### setOutDropElements

    public void setOutDropElements(List<String> dropElementsSet)

  - ### setOutTransformAttributes

    public void setOutTransformAttributes(Map<String,String> outAttributes)

  - ### setAttributesToElements

    public void setAttributesToElements(boolean value)

  - ### setSkipOnFault

    public void setSkipOnFault(boolean value)

  - ### isHttpVerbSupported

    protected boolean isHttpVerbSupported(Message message)

  - ### setContextPropertyName

    public void setContextPropertyName(String propertyName)

  - ### setDefaultNamespace

    public void setDefaultNamespace(String defaultNamespace)